///////////////////////////////////////////////////////////////////////////////
//
//			www.interestprograms.ru - ,     
//
///////////////////////////////////////////////////////////////////////////////

using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;
using Microsoft.Win32;

//     
using System.Runtime.InteropServices;

//       Mmsystem.h,
//      NET  C#
//#define SND_SYNC            0x0000  /* play synchronously (default) */
//#define SND_ASYNC           0x0001  /* play asynchronously */
//#define SND_NODEFAULT       0x0002  /* silence (!default) if sound not found */
//#define SND_MEMORY          0x0004  /* pszSound points to a memory file */
//#define SND_LOOP            0x0008  /* loop the sound until next sndPlaySound */
//#define SND_NOSTOP          0x0010  /* don't stop any currently playing sound */
//
//#define SND_NOWAIT      0x00002000L /* don't wait if the driver is busy */
//#define SND_ALIAS       0x00010000L /* name is a registry alias */
//#define SND_ALIAS_ID    0x00110000L /* alias is a predefined ID */
//#define SND_FILENAME    0x00020000L /* name is file name */
//#define SND_RESOURCE    0x00040004L /* name is resource name or atom */
//#define SND_PURGE           0x0040  /* purge non-static events for task */

namespace TimerWork
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainForm : System.Windows.Forms.Form
	{
		//             ++
		[DllImport("Kernel32")]
		public static extern void Beep(uint freq, uint duration);
		[DllImport("Winmm")]
		public static extern bool PlaySound(string sound/*LPCSTR*/,  IntPtr handle/*HMODULE hmod*/,   uint flag  /*DWORD fdwSound*/);

		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.MenuItem menuItemStart;
		private System.Windows.Forms.MenuItem menuItemSep;
		private System.Windows.Forms.MenuItem menuItemImage;
		private System.Windows.Forms.MenuItem menuItemSetTimes;
		private System.Windows.Forms.MenuItem menuItemExit;
		private System.Windows.Forms.MenuItem menuItemStop;
		private System.Windows.Forms.ContextMenu contextMainMenu;
		private System.Windows.Forms.Timer timerWork;
		private System.Windows.Forms.Timer timerRest;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label labelTimeRest;
		private System.Windows.Forms.Label labelTimeWork;
		private System.Windows.Forms.Panel panelTablo;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ProgressBar progressBarTimeRest;
		private System.Windows.Forms.MenuItem menuItemSound;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItemToAutoRun;
		private System.Windows.Forms.MenuItem menuItemRemoteAutoRun;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItemAbout;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.NotifyIcon notifyIcon;
		private System.ComponentModel.IContainer components;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			
			//      
			icons = new Icon[2];
			icons[0] = new Icon(typeof(MainForm), "icon1.ico");
			icons[1] = new Icon(typeof(MainForm), "icon2.ico");


			//  
			//timerRest.Interval = timerWork.Interval = 1;
		}

		/// <summary>
		///    
		/// </summary>
		private Icon[] icons;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.timerWork = new System.Windows.Forms.Timer(this.components);
			this.contextMainMenu = new System.Windows.Forms.ContextMenu();
			this.menuItemStart = new System.Windows.Forms.MenuItem();
			this.menuItemStop = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItemSetTimes = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuItemImage = new System.Windows.Forms.MenuItem();
			this.menuItemSound = new System.Windows.Forms.MenuItem();
			this.menuItemSep = new System.Windows.Forms.MenuItem();
			this.menuItemToAutoRun = new System.Windows.Forms.MenuItem();
			this.menuItemRemoteAutoRun = new System.Windows.Forms.MenuItem();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItemAbout = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItemExit = new System.Windows.Forms.MenuItem();
			this.timerRest = new System.Windows.Forms.Timer(this.components);
			this.panelTablo = new System.Windows.Forms.Panel();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.labelTimeRest = new System.Windows.Forms.Label();
			this.labelTimeWork = new System.Windows.Forms.Label();
			this.panel1 = new System.Windows.Forms.Panel();
			this.label3 = new System.Windows.Forms.Label();
			this.progressBarTimeRest = new System.Windows.Forms.ProgressBar();
			this.notifyIcon = new System.Windows.Forms.NotifyIcon(this.components);
			this.panelTablo.SuspendLayout();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// pictureBox1
			// 
			this.pictureBox1.AccessibleDescription = resources.GetString("pictureBox1.AccessibleDescription");
			this.pictureBox1.AccessibleName = resources.GetString("pictureBox1.AccessibleName");
			this.pictureBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("pictureBox1.Anchor")));
			this.pictureBox1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("pictureBox1.BackgroundImage")));
			this.pictureBox1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("pictureBox1.Dock")));
			this.pictureBox1.Enabled = ((bool)(resources.GetObject("pictureBox1.Enabled")));
			this.pictureBox1.Font = ((System.Drawing.Font)(resources.GetObject("pictureBox1.Font")));
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("pictureBox1.ImeMode")));
			this.pictureBox1.Location = ((System.Drawing.Point)(resources.GetObject("pictureBox1.Location")));
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("pictureBox1.RightToLeft")));
			this.pictureBox1.Size = ((System.Drawing.Size)(resources.GetObject("pictureBox1.Size")));
			this.pictureBox1.SizeMode = ((System.Windows.Forms.PictureBoxSizeMode)(resources.GetObject("pictureBox1.SizeMode")));
			this.pictureBox1.TabIndex = ((int)(resources.GetObject("pictureBox1.TabIndex")));
			this.pictureBox1.TabStop = false;
			this.pictureBox1.Text = resources.GetString("pictureBox1.Text");
			this.pictureBox1.Visible = ((bool)(resources.GetObject("pictureBox1.Visible")));
			this.pictureBox1.Paint += new System.Windows.Forms.PaintEventHandler(this.pictureBox1_Paint);
			this.pictureBox1.MouseDown += new System.Windows.Forms.MouseEventHandler(this.pictureBox1_MouseDown);
			// 
			// timerWork
			// 
			this.timerWork.Interval = 1000;
			this.timerWork.Tick += new System.EventHandler(this.timerWork_Tick);
			// 
			// contextMainMenu
			// 
			this.contextMainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																							this.menuItemStart,
																							this.menuItemStop,
																							this.menuItem2,
																							this.menuItemSetTimes,
																							this.menuItem3,
																							this.menuItemImage,
																							this.menuItemSound,
																							this.menuItemSep,
																							this.menuItemToAutoRun,
																							this.menuItemRemoteAutoRun,
																							this.menuItem1,
																							this.menuItemAbout,
																							this.menuItem5,
																							this.menuItemExit});
			this.contextMainMenu.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("contextMainMenu.RightToLeft")));
			// 
			// menuItemStart
			// 
			this.menuItemStart.Enabled = ((bool)(resources.GetObject("menuItemStart.Enabled")));
			this.menuItemStart.Index = 0;
			this.menuItemStart.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemStart.Shortcut")));
			this.menuItemStart.ShowShortcut = ((bool)(resources.GetObject("menuItemStart.ShowShortcut")));
			this.menuItemStart.Text = resources.GetString("menuItemStart.Text");
			this.menuItemStart.Visible = ((bool)(resources.GetObject("menuItemStart.Visible")));
			this.menuItemStart.Click += new System.EventHandler(this.menuItemStart_Click);
			// 
			// menuItemStop
			// 
			this.menuItemStop.Enabled = ((bool)(resources.GetObject("menuItemStop.Enabled")));
			this.menuItemStop.Index = 1;
			this.menuItemStop.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemStop.Shortcut")));
			this.menuItemStop.ShowShortcut = ((bool)(resources.GetObject("menuItemStop.ShowShortcut")));
			this.menuItemStop.Text = resources.GetString("menuItemStop.Text");
			this.menuItemStop.Visible = ((bool)(resources.GetObject("menuItemStop.Visible")));
			this.menuItemStop.Click += new System.EventHandler(this.menuItemStop_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Enabled = ((bool)(resources.GetObject("menuItem2.Enabled")));
			this.menuItem2.Index = 2;
			this.menuItem2.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItem2.Shortcut")));
			this.menuItem2.ShowShortcut = ((bool)(resources.GetObject("menuItem2.ShowShortcut")));
			this.menuItem2.Text = resources.GetString("menuItem2.Text");
			this.menuItem2.Visible = ((bool)(resources.GetObject("menuItem2.Visible")));
			// 
			// menuItemSetTimes
			// 
			this.menuItemSetTimes.Enabled = ((bool)(resources.GetObject("menuItemSetTimes.Enabled")));
			this.menuItemSetTimes.Index = 3;
			this.menuItemSetTimes.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemSetTimes.Shortcut")));
			this.menuItemSetTimes.ShowShortcut = ((bool)(resources.GetObject("menuItemSetTimes.ShowShortcut")));
			this.menuItemSetTimes.Text = resources.GetString("menuItemSetTimes.Text");
			this.menuItemSetTimes.Visible = ((bool)(resources.GetObject("menuItemSetTimes.Visible")));
			this.menuItemSetTimes.Click += new System.EventHandler(this.menuItemSetTimes_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Enabled = ((bool)(resources.GetObject("menuItem3.Enabled")));
			this.menuItem3.Index = 4;
			this.menuItem3.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItem3.Shortcut")));
			this.menuItem3.ShowShortcut = ((bool)(resources.GetObject("menuItem3.ShowShortcut")));
			this.menuItem3.Text = resources.GetString("menuItem3.Text");
			this.menuItem3.Visible = ((bool)(resources.GetObject("menuItem3.Visible")));
			// 
			// menuItemImage
			// 
			this.menuItemImage.Enabled = ((bool)(resources.GetObject("menuItemImage.Enabled")));
			this.menuItemImage.Index = 5;
			this.menuItemImage.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemImage.Shortcut")));
			this.menuItemImage.ShowShortcut = ((bool)(resources.GetObject("menuItemImage.ShowShortcut")));
			this.menuItemImage.Text = resources.GetString("menuItemImage.Text");
			this.menuItemImage.Visible = ((bool)(resources.GetObject("menuItemImage.Visible")));
			this.menuItemImage.Click += new System.EventHandler(this.menuItemImage_Click);
			// 
			// menuItemSound
			// 
			this.menuItemSound.Enabled = ((bool)(resources.GetObject("menuItemSound.Enabled")));
			this.menuItemSound.Index = 6;
			this.menuItemSound.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemSound.Shortcut")));
			this.menuItemSound.ShowShortcut = ((bool)(resources.GetObject("menuItemSound.ShowShortcut")));
			this.menuItemSound.Text = resources.GetString("menuItemSound.Text");
			this.menuItemSound.Visible = ((bool)(resources.GetObject("menuItemSound.Visible")));
			this.menuItemSound.Click += new System.EventHandler(this.menuItemSound_Click);
			// 
			// menuItemSep
			// 
			this.menuItemSep.Enabled = ((bool)(resources.GetObject("menuItemSep.Enabled")));
			this.menuItemSep.Index = 7;
			this.menuItemSep.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemSep.Shortcut")));
			this.menuItemSep.ShowShortcut = ((bool)(resources.GetObject("menuItemSep.ShowShortcut")));
			this.menuItemSep.Text = resources.GetString("menuItemSep.Text");
			this.menuItemSep.Visible = ((bool)(resources.GetObject("menuItemSep.Visible")));
			// 
			// menuItemToAutoRun
			// 
			this.menuItemToAutoRun.Enabled = ((bool)(resources.GetObject("menuItemToAutoRun.Enabled")));
			this.menuItemToAutoRun.Index = 8;
			this.menuItemToAutoRun.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemToAutoRun.Shortcut")));
			this.menuItemToAutoRun.ShowShortcut = ((bool)(resources.GetObject("menuItemToAutoRun.ShowShortcut")));
			this.menuItemToAutoRun.Text = resources.GetString("menuItemToAutoRun.Text");
			this.menuItemToAutoRun.Visible = ((bool)(resources.GetObject("menuItemToAutoRun.Visible")));
			this.menuItemToAutoRun.Click += new System.EventHandler(this.menuItemToAutoRun_Click);
			// 
			// menuItemRemoteAutoRun
			// 
			this.menuItemRemoteAutoRun.Enabled = ((bool)(resources.GetObject("menuItemRemoteAutoRun.Enabled")));
			this.menuItemRemoteAutoRun.Index = 9;
			this.menuItemRemoteAutoRun.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemRemoteAutoRun.Shortcut")));
			this.menuItemRemoteAutoRun.ShowShortcut = ((bool)(resources.GetObject("menuItemRemoteAutoRun.ShowShortcut")));
			this.menuItemRemoteAutoRun.Text = resources.GetString("menuItemRemoteAutoRun.Text");
			this.menuItemRemoteAutoRun.Visible = ((bool)(resources.GetObject("menuItemRemoteAutoRun.Visible")));
			this.menuItemRemoteAutoRun.Click += new System.EventHandler(this.menuItemRemoteAutoRun_Click);
			// 
			// menuItem1
			// 
			this.menuItem1.Enabled = ((bool)(resources.GetObject("menuItem1.Enabled")));
			this.menuItem1.Index = 10;
			this.menuItem1.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItem1.Shortcut")));
			this.menuItem1.ShowShortcut = ((bool)(resources.GetObject("menuItem1.ShowShortcut")));
			this.menuItem1.Text = resources.GetString("menuItem1.Text");
			this.menuItem1.Visible = ((bool)(resources.GetObject("menuItem1.Visible")));
			// 
			// menuItemAbout
			// 
			this.menuItemAbout.Enabled = ((bool)(resources.GetObject("menuItemAbout.Enabled")));
			this.menuItemAbout.Index = 11;
			this.menuItemAbout.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemAbout.Shortcut")));
			this.menuItemAbout.ShowShortcut = ((bool)(resources.GetObject("menuItemAbout.ShowShortcut")));
			this.menuItemAbout.Text = resources.GetString("menuItemAbout.Text");
			this.menuItemAbout.Visible = ((bool)(resources.GetObject("menuItemAbout.Visible")));
			this.menuItemAbout.Click += new System.EventHandler(this.menuItemAbout_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Enabled = ((bool)(resources.GetObject("menuItem5.Enabled")));
			this.menuItem5.Index = 12;
			this.menuItem5.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItem5.Shortcut")));
			this.menuItem5.ShowShortcut = ((bool)(resources.GetObject("menuItem5.ShowShortcut")));
			this.menuItem5.Text = resources.GetString("menuItem5.Text");
			this.menuItem5.Visible = ((bool)(resources.GetObject("menuItem5.Visible")));
			// 
			// menuItemExit
			// 
			this.menuItemExit.Enabled = ((bool)(resources.GetObject("menuItemExit.Enabled")));
			this.menuItemExit.Index = 13;
			this.menuItemExit.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemExit.Shortcut")));
			this.menuItemExit.ShowShortcut = ((bool)(resources.GetObject("menuItemExit.ShowShortcut")));
			this.menuItemExit.Text = resources.GetString("menuItemExit.Text");
			this.menuItemExit.Visible = ((bool)(resources.GetObject("menuItemExit.Visible")));
			this.menuItemExit.Click += new System.EventHandler(this.menuItemExit_Click);
			// 
			// timerRest
			// 
			this.timerRest.Interval = 1000;
			this.timerRest.Tick += new System.EventHandler(this.timerRest_Tick);
			// 
			// panelTablo
			// 
			this.panelTablo.AccessibleDescription = resources.GetString("panelTablo.AccessibleDescription");
			this.panelTablo.AccessibleName = resources.GetString("panelTablo.AccessibleName");
			this.panelTablo.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelTablo.Anchor")));
			this.panelTablo.AutoScroll = ((bool)(resources.GetObject("panelTablo.AutoScroll")));
			this.panelTablo.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelTablo.AutoScrollMargin")));
			this.panelTablo.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelTablo.AutoScrollMinSize")));
			this.panelTablo.BackColor = System.Drawing.Color.DimGray;
			this.panelTablo.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelTablo.BackgroundImage")));
			this.panelTablo.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panelTablo.Controls.Add(this.label1);
			this.panelTablo.Controls.Add(this.label2);
			this.panelTablo.Controls.Add(this.labelTimeRest);
			this.panelTablo.Controls.Add(this.labelTimeWork);
			this.panelTablo.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelTablo.Dock")));
			this.panelTablo.Enabled = ((bool)(resources.GetObject("panelTablo.Enabled")));
			this.panelTablo.Font = ((System.Drawing.Font)(resources.GetObject("panelTablo.Font")));
			this.panelTablo.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelTablo.ImeMode")));
			this.panelTablo.Location = ((System.Drawing.Point)(resources.GetObject("panelTablo.Location")));
			this.panelTablo.Name = "panelTablo";
			this.panelTablo.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelTablo.RightToLeft")));
			this.panelTablo.Size = ((System.Drawing.Size)(resources.GetObject("panelTablo.Size")));
			this.panelTablo.TabIndex = ((int)(resources.GetObject("panelTablo.TabIndex")));
			this.panelTablo.Text = resources.GetString("panelTablo.Text");
			this.panelTablo.Visible = ((bool)(resources.GetObject("panelTablo.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.BackColor = System.Drawing.Color.White;
			this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.BackColor = System.Drawing.Color.White;
			this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// labelTimeRest
			// 
			this.labelTimeRest.AccessibleDescription = resources.GetString("labelTimeRest.AccessibleDescription");
			this.labelTimeRest.AccessibleName = resources.GetString("labelTimeRest.AccessibleName");
			this.labelTimeRest.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelTimeRest.Anchor")));
			this.labelTimeRest.AutoSize = ((bool)(resources.GetObject("labelTimeRest.AutoSize")));
			this.labelTimeRest.BackColor = System.Drawing.Color.White;
			this.labelTimeRest.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.labelTimeRest.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelTimeRest.Dock")));
			this.labelTimeRest.Enabled = ((bool)(resources.GetObject("labelTimeRest.Enabled")));
			this.labelTimeRest.Font = ((System.Drawing.Font)(resources.GetObject("labelTimeRest.Font")));
			this.labelTimeRest.Image = ((System.Drawing.Image)(resources.GetObject("labelTimeRest.Image")));
			this.labelTimeRest.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelTimeRest.ImageAlign")));
			this.labelTimeRest.ImageIndex = ((int)(resources.GetObject("labelTimeRest.ImageIndex")));
			this.labelTimeRest.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelTimeRest.ImeMode")));
			this.labelTimeRest.Location = ((System.Drawing.Point)(resources.GetObject("labelTimeRest.Location")));
			this.labelTimeRest.Name = "labelTimeRest";
			this.labelTimeRest.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelTimeRest.RightToLeft")));
			this.labelTimeRest.Size = ((System.Drawing.Size)(resources.GetObject("labelTimeRest.Size")));
			this.labelTimeRest.TabIndex = ((int)(resources.GetObject("labelTimeRest.TabIndex")));
			this.labelTimeRest.Text = resources.GetString("labelTimeRest.Text");
			this.labelTimeRest.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelTimeRest.TextAlign")));
			this.labelTimeRest.Visible = ((bool)(resources.GetObject("labelTimeRest.Visible")));
			// 
			// labelTimeWork
			// 
			this.labelTimeWork.AccessibleDescription = resources.GetString("labelTimeWork.AccessibleDescription");
			this.labelTimeWork.AccessibleName = resources.GetString("labelTimeWork.AccessibleName");
			this.labelTimeWork.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelTimeWork.Anchor")));
			this.labelTimeWork.AutoSize = ((bool)(resources.GetObject("labelTimeWork.AutoSize")));
			this.labelTimeWork.BackColor = System.Drawing.Color.White;
			this.labelTimeWork.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.labelTimeWork.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelTimeWork.Dock")));
			this.labelTimeWork.Enabled = ((bool)(resources.GetObject("labelTimeWork.Enabled")));
			this.labelTimeWork.Font = ((System.Drawing.Font)(resources.GetObject("labelTimeWork.Font")));
			this.labelTimeWork.Image = ((System.Drawing.Image)(resources.GetObject("labelTimeWork.Image")));
			this.labelTimeWork.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelTimeWork.ImageAlign")));
			this.labelTimeWork.ImageIndex = ((int)(resources.GetObject("labelTimeWork.ImageIndex")));
			this.labelTimeWork.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelTimeWork.ImeMode")));
			this.labelTimeWork.Location = ((System.Drawing.Point)(resources.GetObject("labelTimeWork.Location")));
			this.labelTimeWork.Name = "labelTimeWork";
			this.labelTimeWork.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelTimeWork.RightToLeft")));
			this.labelTimeWork.Size = ((System.Drawing.Size)(resources.GetObject("labelTimeWork.Size")));
			this.labelTimeWork.TabIndex = ((int)(resources.GetObject("labelTimeWork.TabIndex")));
			this.labelTimeWork.Text = resources.GetString("labelTimeWork.Text");
			this.labelTimeWork.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelTimeWork.TextAlign")));
			this.labelTimeWork.Visible = ((bool)(resources.GetObject("labelTimeWork.Visible")));
			// 
			// panel1
			// 
			this.panel1.AccessibleDescription = resources.GetString("panel1.AccessibleDescription");
			this.panel1.AccessibleName = resources.GetString("panel1.AccessibleName");
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panel1.Anchor")));
			this.panel1.AutoScroll = ((bool)(resources.GetObject("panel1.AutoScroll")));
			this.panel1.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMargin")));
			this.panel1.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMinSize")));
			this.panel1.BackColor = System.Drawing.Color.PaleGoldenrod;
			this.panel1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panel1.BackgroundImage")));
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel1.Controls.Add(this.label3);
			this.panel1.Controls.Add(this.progressBarTimeRest);
			this.panel1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panel1.Dock")));
			this.panel1.Enabled = ((bool)(resources.GetObject("panel1.Enabled")));
			this.panel1.Font = ((System.Drawing.Font)(resources.GetObject("panel1.Font")));
			this.panel1.ForeColor = System.Drawing.Color.White;
			this.panel1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panel1.ImeMode")));
			this.panel1.Location = ((System.Drawing.Point)(resources.GetObject("panel1.Location")));
			this.panel1.Name = "panel1";
			this.panel1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panel1.RightToLeft")));
			this.panel1.Size = ((System.Drawing.Size)(resources.GetObject("panel1.Size")));
			this.panel1.TabIndex = ((int)(resources.GetObject("panel1.TabIndex")));
			this.panel1.Text = resources.GetString("panel1.Text");
			this.panel1.Visible = ((bool)(resources.GetObject("panel1.Visible")));
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.BackColor = System.Drawing.Color.Transparent;
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.ForeColor = System.Drawing.Color.Black;
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// progressBarTimeRest
			// 
			this.progressBarTimeRest.AccessibleDescription = resources.GetString("progressBarTimeRest.AccessibleDescription");
			this.progressBarTimeRest.AccessibleName = resources.GetString("progressBarTimeRest.AccessibleName");
			this.progressBarTimeRest.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("progressBarTimeRest.Anchor")));
			this.progressBarTimeRest.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("progressBarTimeRest.BackgroundImage")));
			this.progressBarTimeRest.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("progressBarTimeRest.Dock")));
			this.progressBarTimeRest.Enabled = ((bool)(resources.GetObject("progressBarTimeRest.Enabled")));
			this.progressBarTimeRest.Font = ((System.Drawing.Font)(resources.GetObject("progressBarTimeRest.Font")));
			this.progressBarTimeRest.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("progressBarTimeRest.ImeMode")));
			this.progressBarTimeRest.Location = ((System.Drawing.Point)(resources.GetObject("progressBarTimeRest.Location")));
			this.progressBarTimeRest.Name = "progressBarTimeRest";
			this.progressBarTimeRest.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("progressBarTimeRest.RightToLeft")));
			this.progressBarTimeRest.Size = ((System.Drawing.Size)(resources.GetObject("progressBarTimeRest.Size")));
			this.progressBarTimeRest.Step = 1;
			this.progressBarTimeRest.TabIndex = ((int)(resources.GetObject("progressBarTimeRest.TabIndex")));
			this.progressBarTimeRest.Text = resources.GetString("progressBarTimeRest.Text");
			this.progressBarTimeRest.Visible = ((bool)(resources.GetObject("progressBarTimeRest.Visible")));
			// 
			// notifyIcon
			// 
			this.notifyIcon.ContextMenu = this.contextMainMenu;
			this.notifyIcon.Icon = ((System.Drawing.Icon)(resources.GetObject("notifyIcon.Icon")));
			this.notifyIcon.Text = resources.GetString("notifyIcon.Text");
			this.notifyIcon.Visible = ((bool)(resources.GetObject("notifyIcon.Visible")));
			// 
			// MainForm
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackColor = System.Drawing.SystemColors.Control;
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.ContextMenu = this.contextMainMenu;
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.panelTablo);
			this.Controls.Add(this.pictureBox1);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "MainForm";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.TopMost = true;
			this.Load += new System.EventHandler(this.MainForm_Load);
			this.Closed += new System.EventHandler(this.MainForm_Closed);
			this.panelTablo.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}


		/// <summary>
		/// () 
		/// </summary>
		private void MainForm_Load(object sender, System.EventArgs e)
		{
			//  
			notifyIcon.Icon = new Icon(typeof(MainForm), "App.ico");

			// --        --
			try
			{
				//      
				RegistryKey regSoftware = Registry.CurrentUser.OpenSubKey("Software");
				if(regSoftware != null)
				{
					RegistryKey regTimerWork = regSoftware.OpenSubKey("TimerWork");
					if(regTimerWork != null)
					{
						timeWork = (int)regTimerWork.GetValue("TimeWork", 2700);
						timeRest = (int)regTimerWork.GetValue("TimeRest", 900);
						strPathImage = (string)regTimerWork.GetValue("PathImage");
						strPathSound = (string)regTimerWork.GetValue("PathSound");
						regTimerWork.Close();
				
					}
					regSoftware.Close();
				}

				//    ,
				//    
				try
				{
					//       ,
					//  pictureBox    
					Bitmap bmp = new Bitmap(strPathImage);
					if(bmp != null)
						pictureBox1.Image = bmp;
						
				}
				catch
				{
					//   ,  !
					Beep(2000,100);
				}
				SetTablo();
			}
			catch
			{
				//
			}
			
		}

		/// <summary>
		///   
		/// </summary>
		private void MainForm_Closed(object sender, System.EventArgs e)
		{
			// --      --
			try
			{
				//     
				PlaySound(null, Handle, (uint)0x0040 /*#define SND_PURGE 0x0040 .  */);

				

				//           
				RegistryKey regSoftware = Registry.CurrentUser.OpenSubKey("Software", true);
				if(regSoftware != null)
				{
					RegistryKey regTimerWork = regSoftware.CreateSubKey("TimerWork");
					if(regTimerWork != null)
					{
					
						regTimerWork.SetValue("TimeWork", timeWork);
						regTimerWork.SetValue("TimeRest", timeRest);
						regTimerWork.SetValue("PathImage", strPathImage);
						regTimerWork.SetValue("PathSound", strPathSound);

						regTimerWork.Close();
					}
					regSoftware.Close();
				}
			}
			catch
			{
				//
			}
			
			
		}

		


		/// <summary>
		///    ,  
		/// </summary>
		public string strPrompt = "!";

		//         pictureBox
		private void pictureBox1_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			Graphics g = e.Graphics;


			//    
			SizeF sizeStringF = g.MeasureString(strPrompt, new Font("Times New Roman", 100));

			//       
			int center_x = ClientRectangle.Width/2  - (int)sizeStringF.Width/2;
			int center_y = ClientRectangle.Height/2 - (int)sizeStringF.Height/2;
			
			//       
			Rectangle rect = new Rectangle(center_x, center_y, (int)sizeStringF.Width, (int)sizeStringF.Height);
			LinearGradientBrush brush = new LinearGradientBrush(rect, Color.Yellow, Color.Red, 90);

			g.DrawString(strPrompt, new Font("Times New Roman", 100), brush, (float)center_x, (float)center_y);
		}


		///////////////////////////////////////////////////////////////////////
		//	  
		///////////////////////////////////////////////////////////////////////

		/// <summary>
		///   
		/// </summary>summary>
		private void menuItemStart_Click(object sender, System.EventArgs e)
		{
			//   
			PlaySound(null, Handle, (uint)0x0040);
			
			//      
			menuItemSetTimes.Enabled = false;

			//  100% 
			Opacity = 0.0;
			Hide(); //  windows98,    

			toTime = new DateTime(0);
			timerWork.Start();
			panel1.Visible = true;
		
			//   
			menuItemStart.Enabled = false;
			//   
			menuItemStop.Enabled = true;
		}

		/// <summary>
		///    
		/// </summary>
		public string strPathImage;

		/// <summary>
		///       
		/// </summary>
		public string strPathSound =Application.StartupPath + "\\" + "1.wav";

		/// <summary>
		///       
		/// </summary>
		private void menuItemImage_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog dlg = new OpenFileDialog();
			dlg.Filter = "  (*.jpg;*.bmp;*.gif)|*.jpg;*.bmp;*.gif|All files (*.*)|*.*" ;
			if(dlg.ShowDialog() == DialogResult.OK)
			{
				try
				{
					strPathImage = dlg.FileName;
					Bitmap bmp = new Bitmap(strPathImage);
					pictureBox1.Image = bmp;
				}
				catch
				{
					//  !
					Beep(2000,100);
				}
			}
		}

		
		/// <summary>
		///         
		/// </summary>
		private void menuItemSound_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog dlg = new OpenFileDialog();
			dlg.Filter = "wav- (*.wav)|*.wav" ;
			if(dlg.ShowDialog() == DialogResult.OK)
			{
				//    ,
				//    
				try
				{
					strPathSound = dlg.FileName;
				}
				catch
				{
					//  !
					Beep(2000,100);
				}
			}

		}


		/// <summary>
		///       
		/// </summary>
		private void menuItemSetTimes_Click(object sender, System.EventArgs e)
		{
			//           
			FormTimes form = new FormTimes();

			//   
			form.timeWork = timeWork;
			form.timeRest = timeRest;

			//       
			if(form.ShowDialog() == DialogResult.OK)
			{
				timeWork = form.timeWork;
				timeRest = form.timeRest;

				SetTablo();
			}

		}

		/// <summary>
		///  ,    
		/// </summary>
		private void menuItemStop_Click(object sender, System.EventArgs e)
		{
			//      
			PrepareWork();

			Show(); //  windows98,    
			
			//  100%
			Opacity = 1.0;
		}

		/// <summary>
		///   ,       ,
		///      
		///    -
		/// </summary>
		private void menuItemToAutoRun_Click(object sender, System.EventArgs e)
		{
			RegistryKey regSoftware = Registry.CurrentUser.OpenSubKey("Software");
			if(regSoftware != null)
			{
				RegistryKey regMicrosoft = regSoftware.OpenSubKey("Microsoft");
				if(regMicrosoft != null)
				{
					RegistryKey regWindows = regMicrosoft.OpenSubKey("Windows");
					if(regWindows != null)
					{
						RegistryKey regCurrentVersion = regWindows.OpenSubKey("CurrentVersion", true);
						if(regCurrentVersion != null)
						{
							RegistryKey regRun = regCurrentVersion.OpenSubKey("Run", true);
							//    Run  ,   
							if(regRun == null)
								regRun = regCurrentVersion.CreateSubKey("Run");

							if(regRun != null)
							{
								regRun.SetValue("TimerWork", Application.ExecutablePath);
								regRun.Close();
							}
							regCurrentVersion.Close();
						}
						regWindows.Close();
					}
					regMicrosoft.Close();
				}
				regSoftware.Close();
			}
			
			
		}

		/// <summary>
		///     
		/// </summary>
		private void menuItemRemoteAutoRun_Click(object sender, System.EventArgs e)
		{
			RegistryKey regSoftware = Registry.CurrentUser.OpenSubKey("Software");
			if(regSoftware != null)
			{
				RegistryKey regMicrosoft = regSoftware.OpenSubKey("Microsoft");
				if(regMicrosoft != null)
				{
					
					RegistryKey regWindows = regMicrosoft.OpenSubKey("Windows");
					if(regWindows != null)
					{
						RegistryKey regCurrentVersion = regWindows.OpenSubKey("CurrentVersion");
						if(regCurrentVersion != null)
						{
							RegistryKey regRun = regCurrentVersion.OpenSubKey("Run", true);
							if(regRun != null)
							{
								regRun.DeleteValue("TimerWork");
								regRun.Close();

								
							}
							regCurrentVersion.Close();
						}
						regWindows.Close();
					}
					regMicrosoft.Close();
				}
				regSoftware.Close();
			}

		}

		/// <summary>
		///  
		/// </summary>
		private void menuItemAbout_Click(object sender, System.EventArgs e)
		{
			FormAbout formAbout = new FormAbout();
			formAbout.ShowDialog(this);
		}

		/// <summary>
		///  
		/// </summary>
		private void menuItemExit_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		// --------------   ---------------------------------------


		/// <summary>
		///      
		/// </summary>
		private DateTime toTime;
		

		/// <summary>
		///  
		/// </summary>
		private int countSec;

		/// <summary>
		///   
		/// </summary>summary>
		private void timerWork_Tick(object sender, System.EventArgs e)
		{
			countSec++;

			//   
			AnimStopwatch(countSec);

			//    
			//   
			if(countSec >= timeWork)
			{

				timerWork.Stop();
				countSec = 0;
				//     
				ShowEffect();
			}

			//   
			notifyIcon.Text = "  - " + toTime.ToString("T"); //  -  
			

			

			toTime = toTime.AddSeconds(1);
			
		}

		/// <summary>
		///    
		/// </summary>
		private void timerRest_Tick(object sender, System.EventArgs e)
		{
			countSec++;

			//     
			if(countSec >= timeRest)
			{
				/*
				//  
				this.notifyIcon.Text = "  !";

				//  -    
				countSec = 0;
				timerRest.Stop();
				strPrompt = "!";
				pictureBox1.Invalidate();
				panel1.Visible = false;

				//   
				menuItemStart.Enabled = true;
				menuItemStop.Enabled = false;
				*/

				PrepareWork();

				
				// ,    
				PlaySound(strPathSound, Handle, (uint)0x00020000L|0x0001);
				
				//       
				menuItemSetTimes.Enabled = true;
			}
			
			//     
			progressBarTimeRest.Value = progressBarTimeRest.Maximum - countSec;
		}

		/// <summary>
		///   ,    ,
		///      
		/// </summary>
		public void ShowEffect()
		{
			// "" 
			notifyIcon.Icon = new Icon(typeof(MainForm), "App.ico");

			strPrompt = "!";
			pictureBox1.Invalidate();

			//    
			Thread effectThread = 
				new Thread(new ThreadStart( DoShowEffect ) );

			//  
			effectThread.Start();
			//   
			timerRest.Start();

			//  
			this.notifyIcon.Text = " !";

			
		}

		/// <summary>
		///     
		/// </summary>
		public void DoShowEffect()
		{
			Show(); //  windows98,    
			for(int i = 0; i <= 100; i++)
			{
				Opacity = (float)i/100;

				//       
				System.Threading.Thread.Sleep(10);
			}

			
		}

		/// <summary>
		///  
		/// </summary>
		public void AnimStopwatch(int sec)
		{
			int i = sec % 2;
			notifyIcon.Icon = icons[i];
		}
	

		/// <summary>
		///     
		/// </summary>
		public int timeWork = 2700;
		/// <summary>
		///    
		/// </summary>
		public int timeRest = 900;

		

		/// <summary>
		///   ,    progressBar
		/// </summary>
		public void SetTablo()
		{
			int temp = timeWork/60;
			labelTimeWork.Text = temp.ToString() + "\n";
			temp = timeRest/60;
			labelTimeRest.Text = temp.ToString() + "\n";

			progressBarTimeRest.Maximum = timeRest;
			progressBarTimeRest.Value = timeRest;
		}

		/// <summary>
		///        
		/// </summary>
		public void PrepareWork()
		{
			// "" 
			notifyIcon.Icon = new Icon(typeof(MainForm), "App.ico");

			//  
			this.notifyIcon.Text = "  !";

			//   
			timerWork.Stop();
			
			//   
			timerRest.Stop();

			//      
			panel1.Visible = false;

			//      
			strPrompt = "!";
			pictureBox1.Invalidate();

			//   
			countSec = 0;

			//       
			menuItemSetTimes.Enabled = true;

			//   
			menuItemStart.Enabled = true;
			menuItemStop.Enabled = false;
		}

		/// <summary>
		///        
		///      
		/// </summary>
		private void pictureBox1_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			//      
			if(e.Button != MouseButtons.Right) return;

			// -- ,       --

			//   ,     
			menuItemToAutoRun.Enabled = true;
			menuItemRemoteAutoRun.Enabled = false;
			RegistryKey regSoftware = Registry.CurrentUser.OpenSubKey("Software");
			if(regSoftware != null)
			{
				RegistryKey regMicrosoft = regSoftware.OpenSubKey("Microsoft");
				if(regMicrosoft != null)
				{
					RegistryKey regWindows = regMicrosoft.OpenSubKey("Windows");
					if(regWindows != null)
					{
						RegistryKey regCurrentVersion = regWindows.OpenSubKey("CurrentVersion");
						if(regCurrentVersion != null)
						{
							RegistryKey regRun = regCurrentVersion.OpenSubKey("Run");

							if(regRun != null)
							{
								object val = regRun.GetValue("TimerWork");
								if(val != null)
								{
									//  -    ,
									//    "  "  ,
									//  "  " 
									menuItemToAutoRun.Enabled = false;
									menuItemRemoteAutoRun.Enabled = true;
								}

								regRun.Close();
							}
							regCurrentVersion.Close();
						}
						regWindows.Close();
					}
					regMicrosoft.Close();
				}
				regSoftware.Close();
			}

		}// private void pictureBox1_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)


	}
}
